package com.alienfactory.javamappy.loader;

import com.alienfactory.javamappy.JavaMappyException;



// -----------------------------------------------------------------------------
/**
 * ChunkLoadException <br>
 *
 * @author Steve Eynon
 **/
// -----------------------------------------------------------------------------
public class ChunkLoadException extends JavaMappyException {



	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Constructs a <code>ChunkLoadException</code> with the given message. <br>
	 * <br>
	 * @param errorMessage	an explanation this <code>Exception</code> was thrown
	 **/
	public ChunkLoadException(String errorMessage) {
		super(errorMessage);
	}



	/**
	 * Constructs a <code>ChunkLoadException</code> with a nested exception and an
	 * error message. <br>
	 * <br>
	 * @param errorMessage	the <code>ChunkLoadException</code> message
	 * @param nestedException	the nested exception
	 **/
	public ChunkLoadException(String errorMessage, Exception nestedException) {
		super(errorMessage, nestedException);
	}

}
