package com.alienfactory.javamappy.loader;

import com.alienfactory.javamappy.Map;



// -----------------------------------------------------------------------------
/**
 * Chunk FORM :: Must be present at the start of every map. <br>
 *
 * @author Steve Eynon
 **/
// -----------------------------------------------------------------------------
public class ChunkLoaderFORM extends ChunkLoader {



	// -------------------------------------------------------------------------
	// Public Methods
	// -------------------------------------------------------------------------

	// JavaDoc inherited from ChunkLoader
	public void loadChunk(Map map) throws ChunkLoadException {

		// validate the start of the chunk
		if (!super.readString(4).equals("FMAP"))
			super.throwChunkException("Chunk does not start with [FMAP]");
	}

}
