/**
 * <p>These classes are only concerned with loading FMP Chunks. </p>
 *
 * <p>To add support for a new Chunk, create a class which extends
 * <code>ChunkLoader</code> and register it in the MapLoader class. It's almost
 * maintenance free! </p>
 *
 * <p>I've tried to make it as easy as possible to load in Chunks; there are
 * methods called readByte(), readInt(), etc meaning you don't have to worry
 * about LSB, MSB, offsets or any of the usual nitty gritty dangerous stuff.</p>
 */
package com.alienfactory.javamappy.loader;